/* File:        $Id: WaybackIndexerApplication.java 1433 2010-06-09 08:54:57Z csrster $
 * Revision:    $Revision: 1433 $
 * Author:      $Author: csrster $
 * Date:        $Date: 2010-06-09 10:54:57 +0200 (Wed, 09 Jun 2010) $
 *
 * Copyright 2004-2009 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package dk.netarkivet.wayback.indexer;

import dk.netarkivet.common.utils.ApplicationUtils;

/**
 * The entry point for the wayback indexer. This application determines what
 * files in the arcrepository remain to be indexed and indexes them concurrently
 * via batch jobs. The status of all files in the archive is maintained in a
 * persistent object store managed by Hibernate.
 */
public class WaybackIndexerApplication {

    /**
     * Runs the WaybackIndexer. Settings are read from config files so the
     * arguments array should be empty.
     * @param args an empty array.
     */
    public static void main(String[] args) {
        ApplicationUtils.startApp(WaybackIndexer.class, args);
    }

}
